Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Xtext & Xtend for Java 17: please help testing
Xtext & Xtend for Java 17: please help testing [message #1854881] Fri, 16 September 2022 07:55 Go to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 14349
Registered: July 2009
Senior Member
Hi, it would be nice to get feedback on Xtext & Xtend 2.29 branch where are are working on Supporting Java 17 as source and target (and therefore dropping java 8 support)

https://github.com/eclipse/xtext/issues/1982#issuecomment-1228737605

Thanks
Christian



Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: Xtext & Xtend for Java 17: please help testing [message #1854889 is a reply to message #1854881] Fri, 16 September 2022 11:29 Go to previous messageGo to next message
Abhishek Kant is currently offline Abhishek KantFriend
Messages: 1
Registered: July 2022
Junior Member
Hi,

I want to know that "Eclipse ​Jetty
9.4.x" or any 10.x version is compatible for Java 11 and Java 17 also want to know is jetty support with SESE 15 SP3 as well?
Re: Xtext & Xtend for Java 17: please help testing [message #1854898 is a reply to message #1854889] Fri, 16 September 2022 16:32 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 7517
Registered: July 2009
Senior Member
Hi

I understand that The Eclipse platform evolution forces the *.ui / *.ide plugins to move on to Java 11, but is there are any reason why the basic non-UI plugins cannot stay at Java 8?

For the equivalent OCL plugins, this split just means that the BREE of *.ui (and test) moves on to 11, while the standalone plugins stay at 8 (or 6 or 5). The only downside is the need to ignore the bogus warnings that the Java 8 plugins 'reference' a > 8 platform plugin. Not-bogus if the built code is installed on the development platform, but bogus since the built code has version consistent with installation on Photon where the platform plugins are not > 8. Tycho correctly builds according to the specified BREE.

Regards

Ed Willink
Re: Xtext & Xtend for Java 17: please help testing [message #1854899 is a reply to message #1854898] Fri, 16 September 2022 16:34 Go to previous message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 14349
Registered: July 2009
Senior Member
jetty is not part of this patch yet. in general you need to ask on jetty project for jetty in general

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Previous Topic:Maven build
Next Topic:Semantic Token support on Xtext LSP
Goto Forum:
  


Current Time: Mon Sep 26 13:52:43 GMT 2022

Powered by FUDForum. Page generated in 0.02419 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top